
#include <stdio.h>
#include <sys/time.h>
#include <time.h>

#include "xbt/log.h"
#include "xbt/asserts.h"
#include "msg/msg.h"


#include "grid_agents.h"

static void test_all(char *platform_file, char *application_file) {

	read_file_to_dict(parameters.INIT_TIME);

	{ /*  Simulation setting */
		MSG_set_channel_number(12); /* Should be enough here... */
		MSG_create_environment(platform_file);
	}
	TRACE_host_variable_declare ("lamb");
	TRACE_link_variable_declare ("mu");

	{ /*   Application deployment */
		MSG_function_register("grid_slave", grid_slave);
		MSG_launch_application(application_file);

	}
	MSG_main();
	printf("Simulation time %g\n", MSG_get_clock());
	MSG_clean();
}

int main(int argc, char **argv)
{
  char platform[1024] = "";
  char deployment[1024] = "";

  srand(time(NULL));
  MSG_global_init(&argc, argv);


  main_parse(argc, argv, platform, deployment);

  printf("%s %s \n", platform, deployment);
  /*xbt_assert1((argc == 3)
     || (argc == 4),
     "Usage %s <platform_file> <deployment_file> [<argument_file>]\n",
     argv[0]); */

  /*platform = argv[1];
     deployment = argv[2];
     if (argc == 4) {
     argument = argv[3];
     } else {
     argument = strdup("arguments.txt");
     printf("Fichier d'argument par defaut : %s\n", argument);
     } */
  test_all(platform, deployment);

  return (0);
}
